Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QDomProcessingInstruction

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xml.QDomNode
                  com.trolltech.qt.xml.QDomProcessingInstruction

All Implemented Interfaces:
  QtJambiInterface

    public class QDomProcessingInstruction

extends QDomNode

The `QDomProcessingInstruction` class represents an XML processing instruction.

Processing instructions are used in XML to keep processor-specific information in the text of the document.

The XML declaration that appears at the top of an XML document, typically `<?xml version='1.0' encoding='UTF-8'?>`, is treated by QDom as a processing instruction. This is unfortunate, since the XML declaration is not a processing instruction; among other differences, it cannot be inserted into a document anywhere but on the first line.

Do not use this function to create an xml declaration, since although it has the same syntax as a processing instruction, it isn't, and might not be treated by QDom as such.

The content of the processing instruction is retrieved with `data` and set with `setData`. The processing instruction's target is retrieved with `target`.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the `QDomDocument` documentation.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.xml.QDomNode
`QDomNode.EncodingPolicy, QDomNode.NodeType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QDomProcessingInstruction()` Constructs an empty processing instruction.
`QDomProcessingInstruction(QDomProcessingInstruction x)` Constructs a copy of `x`.

Method Summary
`java.lang.String` | `data()` Returns the content of this processing instruction.
`static QDomProcessingInstruction` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QDomProcessingInstruction instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QDomProcessingInstruction[] array)` This function returns a QNativePointer that is pointing to the specified QDomProcessingInstruction array.
`void` | `setData(java.lang.String d)` Sets the data contained in the processing instruction to `d`.
`java.lang.String` | `target()` Returns the target of this processing instruction.

Methods inherited from class com.trolltech.qt.xml.QDomNode
`appendChild, childNodes, clear, cloneNode, cloneNode, columnNumber, equals, firstChild, firstChildElement, firstChildElement, hasAttributes, hasChildNodes, insertAfter, insertBefore, isAttr, isCDATASection, isCharacterData, isComment, isDocument, isDocumentFragment, isDocumentType, isElement, isEntity, isEntityReference, isNotation, isNull, isProcessingInstruction, isSupported, isText, lastChild, lastChildElement, lastChildElement, lineNumber, localName, namedItem, namespaceURI, nativePointerArray, nextSibling, nextSiblingElement, nextSiblingElement, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, previousSiblingElement, previousSiblingElement, removeChild, replaceChild, save, save, setNodeValue, setPrefix, toAttr, toCDATASection, toCharacterData, toComment, toDocument, toDocumentFragment, toDocumentType, toElement, toEntity, toEntityReference, toNotation, toProcessingInstruction, toText, writeTo`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QDomProcessingInstruction

    public QDomProcessingInstruction()

  Constructs an empty processing instruction. Use QDomDocument::createProcessingInstruction() to create a processing instruction with content.

### QDomProcessingInstruction

    public QDomProcessingInstruction(QDomProcessingInstruction x)

  Constructs a copy of `x`.

  The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use `cloneNode`.

Method Detail

### data

    public final java.lang.String data()

  Returns the content of this processing instruction.

  See Also:
    `setData`, `target`

### setData

    public final void setData(java.lang.String d)

  Sets the data contained in the processing instruction to `d`.

  See Also:
    `data`

### target

    public final java.lang.String target()

  Returns the target of this processing instruction.

  See Also:
    `data`

### fromNativePointer

    public static QDomProcessingInstruction fromNativePointer(QNativePointer nativePointer)

  This function returns the QDomProcessingInstruction instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QDomProcessingInstruction[] array)

  This function returns a QNativePointer that is pointing to the specified QDomProcessingInstruction array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD